Skip to main content
GET
List events for newsletter

Authorizations

Api-Token
string
header
required

Server-to-server authentication. Generate a token in the admin UI at Settings → Developers → API Access. Send the raw token in the Api-Token header — there is no Bearer prefix.

Tokens can be marked read-only at creation time, in which case the API rejects any non-GET request with 403 Forbidden.

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 100
pagination
boolean

Enable or disable pagination

dateTimeBegin[before]
string
dateTimeBegin[strictly_before]
string
dateTimeBegin[after]
string
dateTimeBegin[strictly_after]
string
dateTimeEnd[before]
string
dateTimeEnd[strictly_before]
string
dateTimeEnd[after]
string
dateTimeEnd[strictly_after]
string
name
string
type
string
type[]
string[]
unit
string
unit[]
string[]
owner
string
owner[]
string[]
isAnnualReport
boolean
isAnnualReport[]
boolean[]
sdg
string
product
string
product[]
string[]
tenant
string
tenant[]
string[]
customStatus
string
customStatus[]
string[]
parentEvent
string
parentEvent[]
string[]
order[dateTimeBegin]
enum<string>
default:asc
Available options:
asc,
desc
order[name]
enum<string>
default:asc
Available options:
asc,
desc
order[type.name]
enum<string>
default:asc
Available options:
asc,
desc
order[unit.name]
enum<string>
default:asc
Available options:
asc,
desc
order[location]
enum<string>
default:asc
Available options:
asc,
desc
exists[unit]
boolean

Response

Event collection

id
integer
read-only
uuid
string | null
read-only
name
string
meetExists
boolean
read-only
numberOfParticipants
integer | null
settings
(string | null)[] | null